# Generated by Django 3.2 on 2023-10-15 03:09

from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0012_datakelembagaan'),
    ]

    operations = [
        migrations.AlterField(
            model_name='datakelembagaan',
            name='foto',
            field=models.ImageField(null=True, upload_to='profile/images/lembaga', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar]),
        ),
        migrations.CreateModel(
            name='dataKominfo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('jml_bts', models.IntegerField(null=True)),
                ('jml_vsat', models.IntegerField(null=True)),
                ('akses_internet', models.IntegerField(null=True)),
                ('foto', models.ImageField(null=True, upload_to='profile/images/kominfo', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
    ]
